Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Content

Create Content
POST /contentmodules/{moduleId}/content
https://api.relesysapp.net/api/v1.2/contentmodules/{moduleId}/content
Create a content post in a module with moduleId if the model is valid.

startDate and endDate should be provided in the following format: "yyyy-MM-ddTHH:mm:ss".

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
Request Body
application/json
object
  categoryId string / guid optional
  endDate string optional
  endDateTimeZone string optional
  locales array[object] required
   bodyText string optional
   culture string optional
   title string optional
  mediaIds array[string / guid] optional
  name string Max length: 128 required
  notifications object optional
   forceInstantPush boolean optional
   sendNotification boolean optional
   sendPushNotification boolean optional
  permissions array[object] required
   departments array[string / guid] required
   requireAllUserGroups boolean optional
   userGroups array[string / guid] required
  publishOnCreate boolean optional
  startDate string required
  startDateTimeZone string optional
Responses
application/json
JSON
{"data":{"id":"b197eb74-f990-455d-ab28-731fd015f5bd","url":null,"userId":"4bf3775b-8988-4697-a1bb-599872590794","userUrl":null,"categoryId":"882a5d8a-5074-4356-b276-7c8c0544eac3","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-04-29T17:44:50.653204+00:00","lastModifiedDateTime":"2026-04-30T13:44:50.653204+00:00","availableFrom":"2026-04-30T17:44:50","startDateTimeZone":null,"availableUntil":"2026-05-01T17:44:50","endDateTimeZone":null,"medias":[{"id":"e0b872cf-cfa2-4f0a-973e-92addc187e6b","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"2dfe2724-794b-4792-bae4-a5b51fce077f","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"bc7bc46a-ceed-46b7-8368-4bc15d2593a2","url":null},{"type":"Department","name":"Department name example","id":"6f700cec-367f-4864-9a42-00cc0fb99099","url":null},{"type":"User group","name":"User group name example","id":"dc4aede9-c582-4ae9-aa63-5feb66f8a71a","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"704b07be-cf0c-4340-aeb8-19a9227a4399"}],"userGroups":[{"url":null,"name":"User group name example","id":"4c229616-f7e1-4119-9726-b1f024bbee1e"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string